Veze PHP – mohu povýšit? Pokud ano, na jakou verzi

39 zhlédnutíWebhosting
0

Dobrý den,

chtěl jsem si naintalovat WordPress, ale hlásí mi to, že mám starou verzi PHP 5.4

Můj dotaz č.1 – Mohu si to zvednout bez obav, že se něco rozbije a nebude fungovat? Mohu se vrátit zpět v případě nutnosti, kdyby mi stránky nefungovaly korektně?

Dotaz č.2- poslední (a zároveň doporučená) verze PHP je prý závislá na to, na jakých serverech běží webhosting, jak tedy mohu zjistit, na čem mi to běží a na co mohu povýšit?

Dotaz č.3 – mohu použít u jiného uživatele starou verzi WordPressu s vyšší verzí PHP?

Dotaz č.4 – pokud povýším PHP a nainstaluji WordPress a budu muset ponížit zpět PHP, bude mi vyšší verze WordPressu fungovat s poníženou verzí PHP?

Děkuji velice za zodpovězení otázek a objasnění této problematiky.

J. Klement

Role: Zákazník
Odpověděl na otázku
0
11.28K - WEDOS Internet, a.s. 0 Comments

Dobrý den,

pokusím se odpovědět v bodech.

1) Verze PHP lze kdykoliv navýšit avšak pokud změníte na příliš novou nebo příliš starou tak hrozí že web přestane fungovat. Samozřejmě je možné následně nastavit původní verzi a tím Vám web začne opět fungovat.

2) Aktuálně je námi nabízená nejnovější verze PHP 7.4, ta je však dostupná pouze u nových webhostingů. je možné nastavit však i 7.3 a 7.2 (ty se stále řadí do novějších verzí). Pokud byste trval na verzi 7.4 a Váš hosting Vám ji nenabízí, tak bude potřeba objednat nový hosting.

3) Zde bohužel zcela nerozumím dotazu. PHP verze se nastavuje pro celý webhosting, takže pokud využíváte multihosting (více webů na jednom webhosting), tak všechny weby musí podporovat nastavenou verzi.

4) Pravděpodobně nebude viz vysvětlení výše. (Samozřejmě záleží na konkrétní verzi)
Pokud si nainstalujete WP s PHP verzí například 7.2 a následně navýšíte na 7.3 tak web bude nejspíše fungovat (problém může být pouze u konkrétních pluginů či šablon)

Problém nastává při přechodu z verze 5.xx na 7.xx a zpět.

Role: Podpora
Odpověděl na otázku

Categories